Package ru.bitel.bgbilling.plugins.edo.server.bean

# Class EdoExtDocumentDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ExtDocument>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ExtDocument>
ru.bitel.bgbilling.plugins.edo.server.bean.EdoExtDocumentDao

public class EdoExtDocumentDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ExtDocument>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdoExtDocumentDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ExtDocument`
  `getFromRS(ResultSet rs)`
  `Result<ExtDocument>`
  `getList(Period period, Page page, Set<Integer> contracts, Integer documentTypeId, Integer signatoryId)`
  `protected void`
  `updateImpl(ExtDocument document)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EdoExtDocumentDao

    public EdoExtDocumentDao(Connection con)

- ## Method Details

  - ### getFromRS

    protected ExtDocument getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ExtDocument>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ExtDocument document) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ExtDocument>`
    Throws:
      `SQLException`

  - ### getList

    public Result<ExtDocument> getList(Period period, Page page, Set<Integer> contracts, Integer documentTypeId, Integer signatoryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`